## org.apache.aries.subsystem.core.archive
Class VisibilityDirective

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractParameter
          org.apache.aries.subsystem.core.archive.AbstractDirective
              org.apache.aries.subsystem.core.archive.VisibilityDirective

All Implemented Interfaces:
  Directive, Parameter

    public class VisibilityDirective

extends AbstractDirective

Field Summary
`static String` `NAME`
`static VisibilityDirective` `PRIVATE`
`static VisibilityDirective` `REEXPORT`
`static String` `VALUE_PRIVATE`
`static String` `VALUE_REEXPORT`

Constructor Summary
`VisibilityDirective()`
`VisibilityDirective(String value)`

Method Summary
`static VisibilityDirective` `getInstance(String value)`
`boolean` `isPrivate()`
`boolean` `isReexport()`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractDirective
`getValue, toString`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractParameter
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.aries.subsystem.core.archive.Parameter
`getName`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### VALUE_PRIVATE

    public static final String VALUE_PRIVATE

See Also:
  Constant Field Values

### VALUE_REEXPORT

    public static final String VALUE_REEXPORT

See Also:
  Constant Field Values

### PRIVATE

    public static final VisibilityDirective PRIVATE

### REEXPORT

    public static final VisibilityDirective REEXPORT

Constructor Detail

### VisibilityDirective

    public VisibilityDirective()

### VisibilityDirective

    public VisibilityDirective(String value)

Method Detail

### getInstance

    public static VisibilityDirective getInstance(String value)

### isPrivate

    public boolean isPrivate()

### isReexport

    public boolean isReexport()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.